# Supported RPC methods

* `eth_chainId`
* `eth_accounts`
* `wallet_requestPermissions`
* `eth_requestAccounts`
* `eth_sendTransaction`
* `personal_sign`
* `eth_sign`
* `eth_signTypedData_v4`
* `wallet_watchAsset`
* `eth_call`
* `eth_blockNumber`
* `eth_getTransactionReceipt`
* `wallet_switchEthereumChain`
* `eth_getTransactionByHash`
* `eth_estimateGas`
* `wallet_revokePermissions`

{% hint style="info" %}
Please see the [Ethereum wiki](https://ethereum.org/en/developers/docs/apis/json-rpc/#json-rpc-methods) or [Sei V2 docs](https://v2.docs.sei.io/evm-rpc-endpoints) to explore more.
{% endhint %}

{% hint style="info" %}
Sei EVM changes are live on `atlantic-2` and `arctic-1`, so you can use the method `wallet_switchEthereumChain` to switch the chain on which you want the user to do the transactions. \
\
Reference - [https://docs.metamask.io/wallet/reference/wallet\_switchethereumchain](https://docs.metamask.io/wallet/reference/wallet_switchethereumchain/)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/for-sei-evm-dapps-connect-to-compass/supported-rpc-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
